#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file '/home/james/schematux/src/dlgZoom.ui'
**
** Created: Sat Nov 16 15:36:05 2013
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "dlgZoom.h"

#include <qvariant.h>
#include <qradiobutton.h>
#include <qpushbutton.h>
#include <qlineedit.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a Zoom as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
Zoom::Zoom( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "MyDialog1" );
    setSizeGripEnabled( TRUE );

    rbHeight = new QRadioButton( this, "rbHeight" );
    rbHeight->setGeometry( QRect( 100, 20, 70, 22 ) );

    rbPage = new QRadioButton( this, "rbPage" );
    rbPage->setGeometry( QRect( 20, 50, 70, 22 ) );

    rbNone = new QRadioButton( this, "rbNone" );
    rbNone->setGeometry( QRect( 100, 50, 70, 22 ) );

    rbUser = new QRadioButton( this, "rbUser" );
    rbUser->setGeometry( QRect( 20, 80, 70, 22 ) );

    QWidget* privateLayoutWidget = new QWidget( this, "Layout5" );
    privateLayoutWidget->setGeometry( QRect( 190, 20, 82, 99 ) );
    Layout5 = new QVBoxLayout( privateLayoutWidget, 0, 6, "Layout5"); 

    buttonOk = new QPushButton( privateLayoutWidget, "buttonOk" );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    Layout5->addWidget( buttonOk );

    buttonCancel = new QPushButton( privateLayoutWidget, "buttonCancel" );
    buttonCancel->setAutoDefault( TRUE );
    Layout5->addWidget( buttonCancel );

    buttonHelp = new QPushButton( privateLayoutWidget, "buttonHelp" );
    buttonHelp->setAutoDefault( TRUE );
    Layout5->addWidget( buttonHelp );
    Spacer1 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    Layout5->addItem( Spacer1 );

    leZoom = new QLineEdit( this, "leZoom" );
    leZoom->setGeometry( QRect( 90, 80, 40, 24 ) );

    tlPercent = new QLabel( this, "tlPercent" );
    tlPercent->setGeometry( QRect( 140, 83, 20, 20 ) );
    QFont tlPercent_font(  tlPercent->font() );
    tlPercent_font.setPointSize( 12 );
    tlPercent_font.setBold( TRUE );
    tlPercent->setFont( tlPercent_font ); 

    rbWidth = new QRadioButton( this, "rbWidth" );
    rbWidth->setGeometry( QRect( 20, 20, 70, 22 ) );
    languageChange();
    resize( QSize(292, 131).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonOk, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( buttonCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( rbWidth, SIGNAL( pressed() ), this, SLOT( slotZoom() ) );
    connect( rbHeight, SIGNAL( pressed() ), this, SLOT( slotZoom() ) );
    connect( rbNone, SIGNAL( pressed() ), this, SLOT( slotZoom() ) );
    connect( rbPage, SIGNAL( pressed() ), this, SLOT( slotZoom() ) );
    connect( rbUser, SIGNAL( pressed() ), this, SLOT( slotZoom() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
Zoom::~Zoom()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void Zoom::languageChange()
{
    setCaption( tr2i18n( "MyDialog1" ) );
    rbHeight->setText( tr2i18n( "&Height" ) );
    rbHeight->setAccel( QKeySequence( tr2i18n( "Alt+H" ) ) );
    rbPage->setText( tr2i18n( "&Page" ) );
    rbPage->setAccel( QKeySequence( tr2i18n( "Alt+P" ) ) );
    rbNone->setText( tr2i18n( "&None" ) );
    rbNone->setAccel( QKeySequence( tr2i18n( "Alt+N" ) ) );
    rbUser->setText( tr2i18n( "&User" ) );
    rbUser->setAccel( QKeySequence( tr2i18n( "Alt+U" ) ) );
    buttonOk->setText( tr2i18n( "&OK" ) );
    buttonOk->setAccel( QKeySequence( QString::null ) );
    buttonCancel->setText( tr2i18n( "C&ancel" ) );
    buttonCancel->setAccel( QKeySequence( tr2i18n( "Alt+A" ) ) );
    buttonHelp->setText( tr2i18n( "He&lp" ) );
    buttonHelp->setAccel( QKeySequence( tr2i18n( "Alt+L" ) ) );
    leZoom->setText( tr2i18n( "100" ) );
    leZoom->setInputMask( QString::null );
    tlPercent->setText( tr2i18n( "%" ) );
    rbWidth->setText( tr2i18n( "&Width" ) );
    rbWidth->setAccel( QKeySequence( tr2i18n( "Alt+W" ) ) );
}

void Zoom::slotZoom()
{
    qWarning( "Zoom::slotZoom(): Not implemented yet" );
}

#include "dlgZoom.moc"
