#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file '/home/james/schematux/src/zoomBaseDlg.ui'
**
** Created: Wed Feb 19 23:48:58 2014
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "zoomBaseDlg.h"

#include <qvariant.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a zoomBaseDlg as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
zoomBaseDlg::zoomBaseDlg( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "zoomBaseDlg" );
    setSizeGripEnabled( TRUE );

    buttonGroup1 = new QButtonGroup( this, "buttonGroup1" );
    buttonGroup1->setGeometry( QRect( 10, 0, 180, 150 ) );

    rbNone = new QRadioButton( buttonGroup1, "rbNone" );
    rbNone->setGeometry( QRect( 100, 30, 60, 22 ) );

    textLabel1 = new QLabel( buttonGroup1, "textLabel1" );
    textLabel1->setGeometry( QRect( 140, 110, 20, 20 ) );

    rbWidth = new QRadioButton( buttonGroup1, "rbWidth" );
    rbWidth->setGeometry( QRect( 20, 70, 70, 22 ) );

    rbHeight = new QRadioButton( buttonGroup1, "rbHeight" );
    rbHeight->setGeometry( QRect( 100, 70, 70, 22 ) );

    rbUser = new QRadioButton( buttonGroup1, "rbUser" );
    rbUser->setGeometry( QRect( 20, 110, 70, 22 ) );

    leZoom = new QLineEdit( buttonGroup1, "leZoom" );
    leZoom->setGeometry( QRect( 90, 110, 40, 24 ) );

    rbPage = new QRadioButton( buttonGroup1, "rbPage" );
    rbPage->setGeometry( QRect( 20, 30, 70, 22 ) );

    QWidget* privateLayoutWidget = new QWidget( this, "Layout5" );
    privateLayoutWidget->setGeometry( QRect( 200, 10, 82, 120 ) );
    Layout5 = new QVBoxLayout( privateLayoutWidget, 0, 6, "Layout5"); 

    buttonOk = new QPushButton( privateLayoutWidget, "buttonOk" );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    Layout5->addWidget( buttonOk );

    buttonCancel = new QPushButton( privateLayoutWidget, "buttonCancel" );
    buttonCancel->setAutoDefault( TRUE );
    Layout5->addWidget( buttonCancel );

    buttonHelp = new QPushButton( privateLayoutWidget, "buttonHelp" );
    buttonHelp->setAutoDefault( TRUE );
    Layout5->addWidget( buttonHelp );
    Spacer1 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    Layout5->addItem( Spacer1 );
    languageChange();
    resize( QSize(295, 162).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonOk, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( buttonCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( rbHeight, SIGNAL( pressed() ), this, SLOT( slotHeight() ) );
    connect( rbNone, SIGNAL( pressed() ), this, SLOT( slotNone() ) );
    connect( rbPage, SIGNAL( pressed() ), this, SLOT( slotPage() ) );
    connect( rbUser, SIGNAL( pressed() ), this, SLOT( slotUser() ) );
    connect( rbWidth, SIGNAL( pressed() ), this, SLOT( slotWidth() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
zoomBaseDlg::~zoomBaseDlg()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void zoomBaseDlg::languageChange()
{
    setCaption( tr2i18n( "Zoom" ) );
    buttonGroup1->setTitle( tr2i18n( "buttonGroup1" ) );
    rbNone->setText( tr2i18n( "&None" ) );
    rbNone->setAccel( QKeySequence( tr2i18n( "Alt+N" ) ) );
    textLabel1->setText( tr2i18n( "%" ) );
    rbWidth->setText( tr2i18n( "&Width" ) );
    rbWidth->setAccel( QKeySequence( tr2i18n( "Alt+W" ) ) );
    rbHeight->setText( tr2i18n( "&Height" ) );
    rbHeight->setAccel( QKeySequence( tr2i18n( "Alt+H" ) ) );
    rbUser->setText( tr2i18n( "&User" ) );
    rbUser->setAccel( QKeySequence( tr2i18n( "Alt+U" ) ) );
    rbPage->setText( tr2i18n( "P&age" ) );
    rbPage->setAccel( QKeySequence( tr2i18n( "Alt+A" ) ) );
    buttonOk->setText( tr2i18n( "&OK" ) );
    buttonOk->setAccel( QKeySequence( QString::null ) );
    buttonCancel->setText( tr2i18n( "Ca&ncel" ) );
    buttonCancel->setAccel( QKeySequence( tr2i18n( "Alt+N" ) ) );
    buttonHelp->setText( tr2i18n( "He&lp" ) );
    buttonHelp->setAccel( QKeySequence( tr2i18n( "Alt+L" ) ) );
}

void zoomBaseDlg::slotHeight()
{
    qWarning( "zoomBaseDlg::slotHeight(): Not implemented yet" );
}

void zoomBaseDlg::slotUser()
{
    qWarning( "zoomBaseDlg::slotUser(): Not implemented yet" );
}

void zoomBaseDlg::slotWidth()
{
    qWarning( "zoomBaseDlg::slotWidth(): Not implemented yet" );
}

void zoomBaseDlg::slotNone()
{
    qWarning( "zoomBaseDlg::slotNone(): Not implemented yet" );
}

void zoomBaseDlg::slotPage()
{
    qWarning( "zoomBaseDlg::slotPage(): Not implemented yet" );
}

void zoomBaseDlg::slotAccept()
{
    qWarning( "zoomBaseDlg::slotAccept(): Not implemented yet" );
}

#include "zoomBaseDlg.moc"
