//---------------------------------------------------------------------------
#ifndef asciilH
#define asciilH
//---------------------------------------------------------------------------
//#include <vcl.h>
class QString;
//---------------------------------------------------------------------------
/**
*	String representation consisting of a byte indicating length, followed by character data.
*	String length is limited to 255 characters.

	@author James Fuller,,, <james@slakware12>
 */
class Asciil {
private:
	char * pcData;

public:
	Asciil ( void );
	Asciil ( char * pc );
	Asciil ( Asciil& al );
	Asciil ( QString& as );
	~Asciil ( void );
	QString toQString ( void );
    void fromQString ( QString& as );
    void fromQString ( QString& as, int iLimit );
	int length ( void );
	char * memory ( void );
	int size ( void );
    void insert  ( QString as, int iStart );
    void remove  ( int iStart, int iLength );
    void replace ( QString& asFind, QString& asRep );
    bool isEmpty ( void );

    Asciil& operator=(Asciil& al );
    Asciil& operator=(char * pcBuf );

	static void renderAsAsciil ( char *  array,
                                 int     iLength,
                                 QString as );
};
//---------------------------------------------------------------------------
#define makeAsciilField(array,as) Asciil::MakeAsciilField (array,sizeof(array),as)
//---------------------------------------------------------------------------
#endif
