/***************************************************************************
 *   Copyright (C) 2013 by James Fuller,,,   *
 *   james@slakware12   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "scheditmod0x60.h"
//---------------------------------------------------------------------------
ScheditMod0x60::ScheditMod0x60 ( QCanvas * canvas, 
								 unsigned char * & puc )
 				: QCanvasItem ( canvas ) {
	int iLength = sizeof ( Mod0x60Hdr );
	memcpy ( &header, puc, iLength );
	puc += iLength;
}
//---------------------------------------------------------------------------
ScheditMod0x60::~ScheditMod0x60 () {
}
//---------------------------------------------------------------------------
// We do not want to detect collisions
//---------------------------------------------------------------------------
bool ScheditMod0x60::collidesWith ( const QCanvasItem * other ) const {
	return false;		//rectOther.intersects ( rectThis );
}
//---------------------------------------------------------------------------
bool ScheditMod0x60::collidesWith (  const QCanvasSprite* cs,
									const QCanvasPolygonalItem* pi,
									const QCanvasRectangle* cr,
									const QCanvasEllipse* ce,
									const QCanvasText* ct) const {
	 return false;
 }
//---------------------------------------------------------------------------
 QRect ScheditMod0x60::boundingRect ( void ) const {
	 return QRect ( 0, 0, 0, 0 );
}
//---------------------------------------------------------------------------
void ScheditMod0x60::draw ( QPainter& painter ) {
}
//---------------------------------------------------------------------------
/**
 * Unique representation of class derived from ScheditItem
 * @param  none
 * @return int
 */
int ScheditMod0x60::rtti () const {
	 return 1010;
}
//---------------------------------------------------------------------------

